Package org.eclipse.m2m.atl.emftvm.util

## Class TimingData

- java.lang.Object
- - org.eclipse.m2m.atl.emftvm.util.TimingData

    public class TimingData
    extends java.lang.Object

Records time data during the execution of the EMFTVM.

### Constructor Summary

Constructors
`TimingData()` Creates a new `TimingData` object, and starts time measurement.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `finish()` Marks the time when execution finishes.
`void` `finishApply()` Marks the time when applying finishes.
`void` `finishLoading()` Marks the time when loading finishes.
`void` `finishMatch()` Marks the time when matching finishes.
`void` `finishPostApply()` Marks the time when post-applying finishes.
`void` `finishRecursive()` Marks the time when the recursive stage finishes.
`long` `getFinished()` Returns the period until execution was finished in nanoseconds.
`long` `getFinishedApply()` Returns the period until applying was finished in nanoseconds.
`long` `getFinishedLoading()` Returns the period until loading was finished in nanoseconds.
`long` `getFinishedMatch()` Returns the period until matching was finished in nanoseconds.
`long` `getFinishedPostApply()` Returns the period until post-applying was finished in nanoseconds.
`long` `getFinishedRecursive()` Returns the period until the recursive stage was finished in nanoseconds.
`protected void` `setFinished​(long finished)` Sets the time when all is finished.
`protected void` `setFinishedApply​(long finishedApply)` Sets the time when applying is finished.
`protected void` `setFinishedLoading​(long finishedLoading)` Sets the time when loading is finished.
`protected void` `setFinishedMatch​(long finishedMatch)` Sets the time when matching is finished.
`protected void` `setFinishedPostApply​(long finishedPostApply)` Sets the time when post-applying is finished.
`protected void` `setFinishedRecursive​(long finishedRecursive)` Sets the time hen the recursive stage is finished.
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TimingData

    public TimingData()

Creates a new `TimingData` object, and starts time measurement.

### Method Detail

#### getFinishedLoading

    public long getFinishedLoading()

Returns the period until loading was finished in nanoseconds.

Returns:
  the period until loading was finished in nanoseconds

#### getFinishedMatch

    public long getFinishedMatch()

Returns the period until matching was finished in nanoseconds.

Returns:
  the period until matching was finished in nanoseconds

#### getFinishedApply

    public long getFinishedApply()

Returns the period until applying was finished in nanoseconds.

Returns:
  the period until applying was finished in nanoseconds

#### getFinishedPostApply

    public long getFinishedPostApply()

Returns the period until post-applying was finished in nanoseconds.

Returns:
  the period until post-applying was finished in nanoseconds

#### getFinishedRecursive

    public long getFinishedRecursive()

Returns the period until the recursive stage was finished in nanoseconds.

Returns:
  the period until the recursive stage was finished in nanoseconds

#### getFinished

    public long getFinished()

Returns the period until execution was finished in nanoseconds.

Returns:
  the period until execution was finished in nanoseconds

#### setFinishedLoading

    protected void setFinishedLoading​(long finishedLoading)

Sets the time when loading is finished.

Parameters:
  `finishedLoading` - the finishedLoading to set

#### setFinishedMatch

    protected void setFinishedMatch​(long finishedMatch)

Sets the time when matching is finished.

Parameters:
  `finishedMatch` - the finishedMatch to set

#### setFinishedApply

    protected void setFinishedApply​(long finishedApply)

Sets the time when applying is finished.

Parameters:
  `finishedApply` - the finishedApply to set

#### setFinishedPostApply

    protected void setFinishedPostApply​(long finishedPostApply)

Sets the time when post-applying is finished.

Parameters:
  `finishedPostApply` - the finishedPostApply to set

#### setFinishedRecursive

    protected void setFinishedRecursive​(long finishedRecursive)

Sets the time hen the recursive stage is finished.

Parameters:
  `finishedRecursive` - the finishedRecursive to set

#### setFinished

    protected void setFinished​(long finished)

Sets the time when all is finished.

Parameters:
  `finished` - the finished to set

#### finishLoading

    public void finishLoading()

Marks the time when loading finishes.

#### finishMatch

    public void finishMatch()

Marks the time when matching finishes.

#### finishApply

    public void finishApply()

Marks the time when applying finishes.

#### finishPostApply

    public void finishPostApply()

Marks the time when post-applying finishes.

#### finishRecursive

    public void finishRecursive()

Marks the time when the recursive stage finishes.

#### finish

    public void finish()

Marks the time when execution finishes.

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`